io.etcd.jetcd.api

## Interface MemberListResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  MemberListResponse, MemberListResponse.Builder

    public interface MemberListResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`Member` `getMembers(int index)` members is a list of all members associated with the cluster.
`int` `getMembersCount()` members is a list of all members associated with the cluster.
`List<Member>` `getMembersList()` members is a list of all members associated with the cluster.
`MemberOrBuilder` `getMembersOrBuilder(int index)` members is a list of all members associated with the cluster.
`List<? extends MemberOrBuilder>` `getMembersOrBuilderList()` members is a list of all members associated with the cluster.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getMembersList

    List<Member> getMembersList()

     members is a list of all members associated with the cluster.

`repeated .etcdserverpb.Member members = 2;`

#### getMembers

    Member getMembers(int index)

     members is a list of all members associated with the cluster.

`repeated .etcdserverpb.Member members = 2;`

#### getMembersCount

    int getMembersCount()

     members is a list of all members associated with the cluster.

`repeated .etcdserverpb.Member members = 2;`

#### getMembersOrBuilderList

    List<? extends MemberOrBuilder> getMembersOrBuilderList()

     members is a list of all members associated with the cluster.

`repeated .etcdserverpb.Member members = 2;`

#### getMembersOrBuilder

    MemberOrBuilder getMembersOrBuilder(int index)

     members is a list of all members associated with the cluster.

`repeated .etcdserverpb.Member members = 2;`